#!/bin/sh
echo "Starting $0 at `date`"

ndays1=7
nDays2=29
InpDir=/data/pgsip/GSIP_V4/prod/area_files

##############################################
#Keep  29 days worth of ch-1 area files.
#Keep  4  days worth of other area files.
##############################################
/bin/find $InpDir/GWDISK  -name "*" -mtime +$nDays2  -type f -print  -exec /bin/rm -f {} \;
/bin/find $InpDir/GWNHEM  -name "*" -mtime +$nDays2  -type f -print  -exec /bin/rm -f {} \;
/bin/find $InpDir/GEDISK  -name "*" -mtime +$nDays2  -type f -print  -exec /bin/rm -f {} \;
/bin/find $InpDir/GENHEM  -name "*" -mtime +$nDays2  -type f -print  -exec /bin/rm -f {} \;
/bin/find $InpDir/MTSFD   -name "*" -mtime +$nDays2  -type f -print  -exec /bin/rm -f {} \;
/bin/find $InpDir/MSGFD   -name "*" -mtime +$nDays2  -type f -print  -exec /bin/rm -f {} \;
/bin/find  /data/Pgetd/data/area_files -name "*_[2,3,4,6]_*" -mtime +7  -type f -print  -exec /bin/rm -f {} \;
/bin/find  /data/Pgetd/data/area_files -name "*" -mtime +$nDays2  -type f -print  -exec /bin/rm -f {} \;
echo "***********************************************************"
echo "********* LIST of GSIP_V3 AREA FILES DELETED ***********"
echo "************************************************************"
nDays0=3
nsDays1=7

LogDir=/data/pgsip/GSIP_V4/prod/cronjob_logs
OutDir=/data/pgsip/GSIP_V4/prod/Results
##############################################
#Keep  3 days worth of oops data/log files.
##############################################
echo "***********************************************************"
echo "********* LIST of GSIP_V3 RESULTS FILES DELETED ***********"
echo "***********************************************************"
/bin/find $OutDir/GWDISK  -name "*" -mtime +$nDays0  -type f -print  -exec /bin/rm -f {} \;
/bin/find $OutDir/GWNHEM  -name "*" -mtime +$nDays0  -type f -print  -exec /bin/rm -f {} \;
/bin/find $OutDir/GEDISK  -name "*" -mtime +$nDays0  -type f -print  -exec /bin/rm -f {} \;
/bin/find $OutDir/GENHEM  -name "*" -mtime +$nDays0  -type f -print  -exec /bin/rm -f {} \;
/bin/find $OutDir/MTSFD   -name "*" -mtime +$nDays0  -type f -print  -exec /bin/rm -f {} \;
/bin/find $OutDir/MSGFD   -name "*" -mtime +$nDays0  -type f -print  -exec /bin/rm -f {} \;
echo "***********************************************************"
echo "********* LIST of GSIP_V3 LOG/DATA FILES DELETED ***********"
echo "************************************************************"
/bin/find $LogDir -name "*" -mtime +30  | xargs /bin/rm -f {} \;
/bin/find /data/pgsip/GSIP_V4/prod/temp -name "*" -mtime +3 | xargs /bin/rm -f {} \;
echo "***********************************************************"
echo "********* GZIP GSIP_V4 Result FILES (older than 3days) ****"
echo "***********************************************************"
 find ~/Results/* -name "*.nc" -mmin +4320  | grep -v gz | xargs -i gzip {}
echo "Ending $0 at `date`"

